Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFNotesMaster

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFSheet
              org.apache.poi.xslf.usermodel.XSLFNotesMaster

All Implemented Interfaces:
  XSLFShapeContainer, poi.support.Iterable

    public class XSLFNotesMaster

extends XSLFSheet

Notes master object associated with this layout.

Within a notes master slide are contained all elements that describe the objects and their corresponding formatting for within a presentation slide.

Within a nodes master slide are two main elements. The cSld element specifies the common slide elements such as shapes and their attached text bodies. Then the notesStyles element specifies the formatting for the text within each of these shapes.

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Method Summary
`XSLFSheet` | `getMasterSheet()`
`org.apache.xmlbeans.XmlObject` | `getXmlObject()`

Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet
`appendContent, clear, createAutoShape, createConnector, createFreeform, createGroup, createPicture, createTable, createTextBox, draw, getBackground, getCommonSlideData, getFollowMasterGraphics, getPlaceholder, getPlaceholders, getShapes, getSlideShow, importContent, iterator, removeShape`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getXmlObject

    public org.apache.xmlbeans.XmlObject getXmlObject()

  Specified by:
    `getXmlObject` in class `XSLFSheet`
  Returns:
    top-level Xml bean representing this sheet

### getMasterSheet

    public XSLFSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in class `XSLFSheet`
  Returns:
    master of this sheet.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD